package it.integry.integrywmsnative.core.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.math.BigDecimal;

public class MtbDepo extends EntityBase implements Parcelable {


    private String codMdep;
    private String descrizione;
    private String flagVal;
    private String codAnag;
    private BigDecimal percDepo;
    private BigDecimal valDepo;
    private String indirizzo;
    private String cap;
    private String citta;
    private String prov;
    private String tel;
    private String nazione;
    private String fax;
    private String eMail;
    private String sitoWeb;
    private String codVdes;
    private String serie;
    private String flagMovimentabile;
    private String codJfas;
    private String codVlis;
    private String codCcau;
    private String codCcon;
    private String codDtip;
    private String codDtipFat;
    private String flagContoVendita;
    private String flagTipoNegozio;
    private String codMdepReso;

    public MtbDepo() {
        type = "mtb_depo";
    }

    protected MtbDepo(Parcel in) {
        type = "mtb_depo";
        codMdep = in.readString();
        descrizione = in.readString();
        flagVal = in.readString();
        codAnag = in.readString();
        indirizzo = in.readString();
        cap = in.readString();
        citta = in.readString();
        prov = in.readString();
        tel = in.readString();
        nazione = in.readString();
        fax = in.readString();
        eMail = in.readString();
        sitoWeb = in.readString();
        codVdes = in.readString();
        serie = in.readString();
        flagMovimentabile = in.readString();
        codJfas = in.readString();
        codVlis = in.readString();
        codCcau = in.readString();
        codCcon = in.readString();
        codDtip = in.readString();
        codDtipFat = in.readString();
        flagContoVendita = in.readString();
        flagTipoNegozio = in.readString();
        codMdepReso = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(codMdep);
        dest.writeString(descrizione);
        dest.writeString(flagVal);
        dest.writeString(codAnag);
        dest.writeString(indirizzo);
        dest.writeString(cap);
        dest.writeString(citta);
        dest.writeString(prov);
        dest.writeString(tel);
        dest.writeString(nazione);
        dest.writeString(fax);
        dest.writeString(eMail);
        dest.writeString(sitoWeb);
        dest.writeString(codVdes);
        dest.writeString(serie);
        dest.writeString(flagMovimentabile);
        dest.writeString(codJfas);
        dest.writeString(codVlis);
        dest.writeString(codCcau);
        dest.writeString(codCcon);
        dest.writeString(codDtip);
        dest.writeString(codDtipFat);
        dest.writeString(flagContoVendita);
        dest.writeString(flagTipoNegozio);
        dest.writeString(codMdepReso);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<MtbDepo> CREATOR = new Creator<MtbDepo>() {
        @Override
        public MtbDepo createFromParcel(Parcel in) {
            return new MtbDepo(in);
        }

        @Override
        public MtbDepo[] newArray(int size) {
            return new MtbDepo[size];
        }
    };

    public String getCodMdep() {
        return codMdep;
    }

    public MtbDepo setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public MtbDepo setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public String getFlagVal() {
        return flagVal;
    }

    public MtbDepo setFlagVal(String flagVal) {
        this.flagVal = flagVal;
        return this;
    }

    public String getCodAnag() {
        return codAnag;
    }

    public MtbDepo setCodAnag(String codAnag) {
        this.codAnag = codAnag;
        return this;
    }

    public BigDecimal getPercDepo() {
        return percDepo;
    }

    public MtbDepo setPercDepo(BigDecimal percDepo) {
        this.percDepo = percDepo;
        return this;
    }

    public BigDecimal getValDepo() {
        return valDepo;
    }

    public MtbDepo setValDepo(BigDecimal valDepo) {
        this.valDepo = valDepo;
        return this;
    }

    public String getIndirizzo() {
        return indirizzo;
    }

    public MtbDepo setIndirizzo(String indirizzo) {
        this.indirizzo = indirizzo;
        return this;
    }

    public String getCap() {
        return cap;
    }

    public MtbDepo setCap(String cap) {
        this.cap = cap;
        return this;
    }

    public String getCitta() {
        return citta;
    }

    public MtbDepo setCitta(String citta) {
        this.citta = citta;
        return this;
    }

    public String getProv() {
        return prov;
    }

    public MtbDepo setProv(String prov) {
        this.prov = prov;
        return this;
    }

    public String getTel() {
        return tel;
    }

    public MtbDepo setTel(String tel) {
        this.tel = tel;
        return this;
    }

    public String getNazione() {
        return nazione;
    }

    public MtbDepo setNazione(String nazione) {
        this.nazione = nazione;
        return this;
    }

    public String getFax() {
        return fax;
    }

    public MtbDepo setFax(String fax) {
        this.fax = fax;
        return this;
    }

    public String geteMail() {
        return eMail;
    }

    public MtbDepo seteMail(String eMail) {
        this.eMail = eMail;
        return this;
    }

    public String getSitoWeb() {
        return sitoWeb;
    }

    public MtbDepo setSitoWeb(String sitoWeb) {
        this.sitoWeb = sitoWeb;
        return this;
    }

    public String getCodVdes() {
        return codVdes;
    }

    public MtbDepo setCodVdes(String codVdes) {
        this.codVdes = codVdes;
        return this;
    }

    public String getSerie() {
        return serie;
    }

    public MtbDepo setSerie(String serie) {
        this.serie = serie;
        return this;
    }

    public String getFlagMovimentabile() {
        return flagMovimentabile;
    }

    public MtbDepo setFlagMovimentabile(String flagMovimentabile) {
        this.flagMovimentabile = flagMovimentabile;
        return this;
    }

    public String getCodJfas() {
        return codJfas;
    }

    public MtbDepo setCodJfas(String codJfas) {
        this.codJfas = codJfas;
        return this;
    }

    public String getCodVlis() {
        return codVlis;
    }

    public MtbDepo setCodVlis(String codVlis) {
        this.codVlis = codVlis;
        return this;
    }

    public String getCodCcau() {
        return codCcau;
    }

    public MtbDepo setCodCcau(String codCcau) {
        this.codCcau = codCcau;
        return this;
    }

    public String getCodCcon() {
        return codCcon;
    }

    public MtbDepo setCodCcon(String codCcon) {
        this.codCcon = codCcon;
        return this;
    }

    public String getCodDtip() {
        return codDtip;
    }

    public MtbDepo setCodDtip(String codDtip) {
        this.codDtip = codDtip;
        return this;
    }

    public String getCodDtipFat() {
        return codDtipFat;
    }

    public MtbDepo setCodDtipFat(String codDtipFat) {
        this.codDtipFat = codDtipFat;
        return this;
    }

    public String getFlagContoVendita() {
        return flagContoVendita;
    }

    public MtbDepo setFlagContoVendita(String flagContoVendita) {
        this.flagContoVendita = flagContoVendita;
        return this;
    }

    public String getFlagTipoNegozio() {
        return flagTipoNegozio;
    }

    public MtbDepo setFlagTipoNegozio(String flagTipoNegozio) {
        this.flagTipoNegozio = flagTipoNegozio;
        return this;
    }

    public String getCodMdepReso() {
        return codMdepReso;
    }

    public MtbDepo setCodMdepReso(String codMdepReso) {
        this.codMdepReso = codMdepReso;
        return this;
    }
}
